GH-AUTH-LOGOUT(1)

NAME
gh-auth-logout - Log out of a GitHub account

SYNOPSIS
gh auth logout [flags]

DESCRIPTION
Remove authentication for a GitHub account.

This command removes the stored authentication configuration for an account. The authentication configuration is only removed locally.

This command does not invalidate authentication tokens.

OPTIONS

-h, --hostname <string>
    The hostname of the GitHub instance to log out of

-u, --user <string>
    The account to log out of

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    # Select what host and account to log out of via a prompt
    $ gh auth logout
    # Log out of a specific host and specific account
    $ gh auth logout --hostname enterprise.internal --user monalisa

SEE ALSO
gh-auth(1)